Welcome, Guest
Username: Password: Remember me

TOPIC: Want to upgrade to 10.4. Will it work with this mac pro and os?

Want to upgrade to 10.4. Will it work with this mac pro and os? 12 Nov 2018 13:57 #97660

  • NealF
  • NealF's Avatar
  • OFFLINE
  • Senior Boarder
  • I'm a composer, producer, performer and multimedia artist and activist.Not much to say. I'll leave that up to whoever gives a crap after I'm dead.Go to The Real Neal Fox ( http://TheRealNealFox.com ) to find out more than you'd ever want to know.
  • Posts: 47
  • Karma: 0
Hi,
I've got a Mac Pro 2010 running on El Capitan. I've got FCPX 10.3 but lately I'm running into situations where a plug in I want will only run on 10.4.

So, my question is this, If I upgrade to Mojave I'm pretty sure I'll need to upgrade my graphics card.
Will upgrading to high sierra allow me to run the latest FCPX?

Thanks.
The administrator has disabled public write access.

Want to upgrade to 10.4. Will it work with this mac pro and os? 12 Nov 2018 15:25 #97661

  • VidGreg
  • VidGreg's Avatar
  • OFFLINE
  • Platinum Boarder
  • Posts: 920
  • Thank you received: 184
  • Karma: 27
Hi Neal
Yes your 2010 MP can run the latest OS with an appropriate Graphics Card. Needs to be Metal capable. So Mojave requires an updated GPU.
High Sierra had lower requirements than Mojave for the GPU and your MP should run it fine.
FCPX10.4 needs at least High Sierra 10.13.2 (Will FCPX 10.5 require Mojave?? Seems likely)
See this list by Apple… support.apple.com/en-us/HT208898
and this for High Sierra… support.apple.com/kb/SP765?locale=en_US

Given the speed increases possible with a newer GPU, and future requirements, this might be worthwhile.
Even with a new GPU there are some OS restrictions to additional features like Handoff and Siri, etc… these require newer chips that may not be available or replaceable.

Hope this Helps, Greg
The administrator has disabled public write access.

Want to upgrade to 10.4. Will it work with this mac pro and os? 12 Nov 2018 18:03 #97663

  • NealF
  • NealF's Avatar
  • OFFLINE
  • Senior Boarder
  • I'm a composer, producer, performer and multimedia artist and activist.Not much to say. I'll leave that up to whoever gives a crap after I'm dead.Go to The Real Neal Fox ( http://TheRealNealFox.com ) to find out more than you'd ever want to know.
  • Posts: 47
  • Karma: 0
Hi Greg.

Yes. That helps. I think, for now I'll get the most recent High Sierra and upgrade my graphics card in the near future.
I wanted to run some plugins that only work with FCPX 10.4.3. So I wasn't sure if that version would work in HS.

Good to know.
Thanks.
The administrator has disabled public write access.